org.apache.commons.ssl.asn1

## Class DERConstructedSet

- java.lang.Object
- - org.apache.commons.ssl.asn1.ASN1Encodable
  - - org.apache.commons.ssl.asn1.DERObject
    - - org.apache.commons.ssl.asn1.ASN1Object
      - - org.apache.commons.ssl.asn1.ASN1Set
        - - org.apache.commons.ssl.asn1.DERConstructedSet

All Implemented Interfaces:
  DEREncodable, DERTags

Deprecated.
use DERSet

    public class DERConstructedSet
    extends ASN1Set

### Field Summary

### Fields inherited from class org.apache.commons.ssl.asn1.ASN1Set

`set`

### Fields inherited from class org.apache.commons.ssl.asn1.ASN1Encodable

`BER, DER`

### Fields inherited from interface org.apache.commons.ssl.asn1.DERTags

`APPLICATION, BIT_STRING, BMP_STRING, BOOLEAN, CONSTRUCTED, ENUMERATED, EXTERNAL, GENERAL_STRING, GENERALIZED_TIME, GRAPHIC_STRING, IA5_STRING, INTEGER, NULL, NUMERIC_STRING, OBJECT_IDENTIFIER, OCTET_STRING, PRINTABLE_STRING, SEQUENCE, SEQUENCE_OF, SET, SET_OF, T61_STRING, TAGGED, UNIVERSAL_STRING, UTC_TIME, UTF8_STRING, VIDEOTEX_STRING, VISIBLE_STRING`

### Constructor Summary

Constructors
Constructor and Description
`DERConstructedSet()` Deprecated.
`DERConstructedSet(DEREncodable obj)` Deprecated.
`DERConstructedSet(DEREncodableVector v)` Deprecated.

### Method Summary

Methods
`void` `addObject(DEREncodable obj)` Deprecated.
`(package private) void` `encode(DEROutputStream out)` Deprecated.
`int` `getSize()` Deprecated.

### Methods inherited from class org.apache.commons.ssl.asn1.ASN1Set

`asn1Equals, getInstance, getInstance, getObjectAt, getObjects, hashCode, parser, size, sort, toString`

### Methods inherited from class org.apache.commons.ssl.asn1.ASN1Object

`equals, fromByteArray`

### Methods inherited from class org.apache.commons.ssl.asn1.DERObject

`toASN1Object`

### Methods inherited from class org.apache.commons.ssl.asn1.ASN1Encodable

`getDEREncoded, getDERObject, getEncoded, getEncoded`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### DERConstructedSet

    public DERConstructedSet()

Deprecated.

#### DERConstructedSet

    public DERConstructedSet(DEREncodable obj)

Deprecated.

Parameters:
  `obj` - - a single object that makes up the set.

#### DERConstructedSet

    public DERConstructedSet(DEREncodableVector v)

Deprecated.

Parameters:
  `v` - - a vector of objects making up the set.

### Method Detail

#### addObject

    public void addObject(DEREncodable obj)

Deprecated.

Overrides:
  `addObject` in class `ASN1Set`

#### getSize

    public int getSize()

Deprecated.

#### encode

    void encode(DEROutputStream out)
          throws java.io.IOException

Deprecated.

Specified by:
  `encode` in class `ASN1Set`
Throws:
  `java.io.IOException`